<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="eduHisInfos"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="eduHisInfos?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getEduHisInfos()"
    nzSize="small">
    <thead>
    <tr>
      <th [nzAlign]="'center'" scope="col" class="text-nowrap" nzWidth="80px">{{'staffManager.table.stt' | translate}}</th>
      <th [nzAlign]="'center'" scope="col" class="text-nowrap">{{'staffManager.table.courseName' | translate}}</th>
      <th [nzAlign]="'center'" scope="col" class="text-nowrap">{{'staffManager.table.eduForm' | translate}}</th>
      <th [nzAlign]="'center'" scope="col" class="text-nowrap">{{'staffManager.table.eduContent' | translate}}</th>
      <th [nzAlign]="'center'" scope="col" class="text-nowrap">{{'staffManager.table.eduFromDate' | translate}}</th>
      <th [nzAlign]="'center'" scope="col" class="text-nowrap">{{'staffManager.table.eduToDate' | translate}}</th>
      <th [nzAlign]="'center'" scope="col" class="text-nowrap">{{'staffManager.table.result' | translate}}</th>
      <th [nzAlign]="'center'" scope="col" class="text-nowrap">{{'staffManager.table.refundAmount' | translate}}</th>
      <th [nzAlign]="'center'" scope="col" class="text-nowrap">{{'staffManager.table.commitmentDate' | translate}}</th>
      <th [nzAlign]="'center'" scope="col" nzWidth="120px" nzRight="0px" class="text-nowrap" *ngIf="objFunction.edit || objFunction.delete">{{'staffManager.table.action' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td [nzAlign]="'center'" class="text-nowrap">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.courseName }}</td>
      <td class="text-nowrap">{{ data?.eduMethodTypeName}}</td>
      <td class="text-nowrap">{{ data?.courseContent}}</td>
      <td [nzAlign]="'center'" class="text-nowrap">{{ data?.fromDate }}</td>
      <td [nzAlign]="'center'" class="text-nowrap">{{ data?.toDate }}</td>
      <td class="text-nowrap">{{ data?.result }}</td>
      <td class="text-nowrap">{{ data?.refundAmount ?? 0 | formatCurrency:"VND" }} VNĐ</td>
      <td [nzAlign]="'center'" class="text-nowrap">{{ data?.commitmentDate }}</td>
      <td nzWidth="120px" nzRight="0px" class="text-nowrap" [nzAlign]="'center'">
        <mb-button *ngIf="objFunction.edit" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
                   (click)="showModalUpdate(data, footerTmpl)"></mb-button>
        <mb-button *ngIf="objFunction.delete" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                   nzPopconfirmTitle="{{'staffManager.table.action.confirmDelete' | translate}}"
                   nzCancelText="{{'staffManager.table.action.cancel' | translate}}"
                   nzOkType="primary"
                   nzOkText="{{'staffManager.table.action.yes' | translate}}"
                   (nzOnConfirm)="deleteItem(data)"
                   nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
      </td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
